public class Person 
{
    private String name;
    
    private int yearOfBirth;
    
    private Address address; // = new Address("","");
    
    public static final int CURRENT_YEAR = 2015;
    
    public Person(String name, int yob, Address addr) {
        setName(name);
        setYearOfBirth(yob);
        setAddress(addr);
    }
    
    public Person(Address addr) {
        this("No Name", 1945, addr);
        //setAddress(addr);
        //setYearOfBirth(1945);
        //setName("No Name");
    }
    
    public Person(String town, String street) {
        address = new Address(town, street);
    }
    
    public int getAge() {
        return CURRENT_YEAR - yearOfBirth;
    }
    
    public void setAddress(Address addr) {
        address = addr;
    }
    
    public Address getAddress() {
        return address;
    }
    
    public void setName(String name) {
        this.name = name; 
    }
    
    public String getName() {
        return name;
    }
    
    public void setYearOfBirth(int yob) {
        yearOfBirth = yob;
    }
    
    public int getYearOfBirth() {
        return yearOfBirth;
    }
    
    public void writeInfo() {
        System.out.println("Name is " + name + ", address: " + address.toString());
    } 
    
    public void sendGreetingTo(Person p) {
        sendGreetingTo(p, "AHOJ");
    }
    
    public void sendGreetingTo(Person p, String msg) {
        System.out.println("Person " + name + " sends \"" + msg + "\" to " + p.getName());
    }
    
    public static void sendGreetingTo(Person from, Person to) {
        //sendGreetingTo(...);
        from.sendGreetingTo(to);
    }
}













